Status: Resolved Start date: 07/30/2012
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Documentation Estimated time: 0.00 hour
Target version: rsb-0.9
Description

Associated revisions
Revision 5c46d8ce - 10/24/2012 03:18 PM - J. Wienke

Fixed repository URLs using CMake-generated replacements

fixes #1118

Use CMake to generate replacements of the form|repository_SUBPROJECT|
and |repository_versioned_SUBPROJECT| instead of trying to concatenate
replacements and strings in the rst documents.

    -  call.rst: use new replacements
    -  info.rst: likewise
    -  install-cl.rst: likewise
    -  install-cpp.rst: likewise
    -  install-java.rst: likewise
    -  install-python.rst: likewise
    -  install.rst: likewise
    -  logger.rst: likewise
    -  news.rst: likewise
    -  send.rst: likewise
    -  specification-event.rst: likewise
    -  specification-inprocess.rst: likewise
    -  specification-request-reply.rst: likewise
    -  specification-scope.rst: likewise
    -  specification-socket.rst: likewise
    -  specification-spread.rst: likewise
    -  timesync.rst: likewise
    -  CMakeLists.txt: added option REPOSITORY_BASE_URL; use it to generate

  replacements of the form |repository_SUBPROJECT| and  |repository_versioned_SUBPROJECT|
    -  conf.py.in: added new replacements to prolog

History
#1 - 09/17/2012 12:03 PM - J. Moringen
- Category set to Documentation
- Status changed from New to In Progress
- Assignee set to J. Moringen
- % Done changed from 0 to 80

#2 - 10/24/2012 11:17 AM - J. Wienke

04/19/2024 1/2



- File rsb-manual-fixed-git-urls.patch added

Attached is a proposal how to fix the broken GIT URLs. I am not quite sure about some CL specific locations. I suspect they were broken anyways and
should be fixed in this run.

#3 - 10/24/2012 03:19 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 80 to 100

Applied in changeset rsb-manual|commit:5c46d8ce71f5df06ab7cb8a08c7ca1bf8e33e04a.

Files
rsb-manual-fixed-git-urls.patch 17.7 KB 10/24/2012 J. Wienke

04/19/2024 2/2


